{ lib, ... }:
with lib;
{
  options.machine.postgresql = {
    enable = mkEnableOption "Postgresql";
    port = mkOption {
      type = types.port;
      default = 5432;
      description = ''
        The port on which PostgreSQL listens.
      '';
    };
  };
}
